characteristic_on_quadrature< T, M >
Inheritance diagram for characteristic_on_quadrature< T, M >:

## Public Types

typedef characteristic_on_quadrature_rep< T, M > | rep
typedef smart_pointer< rep > | base
Public Types inherited from smart_pointer< characteristic_on_quadrature_rep< T, M > >
typedef characteristic_on_quadrature_rep< T, M > | handled_type
typedef base::internal | internal

## Public Member Functions

| characteristic_on_quadrature (quadrature_option qopt=quadrature_option(quadrature_option::max_family, 0))
Public Member Functions inherited from smart_pointer< characteristic_on_quadrature_rep< T, M > >
| smart_pointer (characteristic_on_quadrature_rep< T, M > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< characteristic_on_quadrature_rep< T, M > > &x)
smart_pointer< characteristic_on_quadrature_rep< T, M > > & | operator= (const smart_pointer< characteristic_on_quadrature_rep< T, M > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< characteristic_on_quadrature_rep< T, M >, details::constructor_copy< characteristic_on_quadrature_rep< T, M > > >
| smart_pointer_base (characteristic_on_quadrature_rep< T, M > *p=0)
| smart_pointer_base (const smart_pointer_base< characteristic_on_quadrature_rep< T, M >, details::constructor_copy< characteristic_on_quadrature_rep< T, M > > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< characteristic_on_quadrature_rep< T, M >, details::constructor_copy< characteristic_on_quadrature_rep< T, M > > > & | operator= (const smart_pointer_base< characteristic_on_quadrature_rep< T, M >, details::constructor_copy< characteristic_on_quadrature_rep< T, M > > > &)
| ~smart_pointer_base ()
const characteristic_on_quadrature_rep< T, M > * | pointer () const
characteristic_on_quadrature_rep< T, M > * | pointer ()
const characteristic_on_quadrature_rep< T, M > & | data () const
characteristic_on_quadrature_rep< T, M > & | data ()
const characteristic_on_quadrature_rep< T, M > * | operator-> () const
characteristic_on_quadrature_rep< T, M > * | operator-> ()
const characteristic_on_quadrature_rep< T, M > & | operator* () const
characteristic_on_quadrature_rep< T, M > & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Detailed Description

### template<class T, class M>
class rheolef::characteristic_on_quadrature< T, M >

Definition at line 150 of file characteristic.h.

## Member Typedef Documentation

## rep

typedef characteristic_on_quadrature_rep<T,M> rep

Definition at line 153 of file characteristic.h.

## base

typedef smart_pointer<rep> base

Definition at line 154 of file characteristic.h.

## Constructor & Destructor Documentation

## characteristic_on_quadrature()

characteristic_on_quadrature | ( | quadrature_option | qopt = `quadrature_option(quadrature_option::max_family,0)` | ) |

Definition at line 157 of file characteristic.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/characteristic.h